Subject: bug#66381: 29.1; Auto-revert not polling files when notifications are enabled

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 Oct 2023 09:17:01 +0300

> From: Daniel Jacobowitz <[email-masked]>
> Date: Fri, 6 Oct 2023 13:13:40 -0400
> 
> I use a network filesystem which sometimes has to restart, e.g.  for
> updates or when credentials expire. Normally, file notifications work
> fine on this filesystem, but after a restart the old notifications will
> never fire. Documentation says "By default, Auto Revert mode will poll
> files for changes periodically even when file notifications are used." -
> experimentally the file is never polled.
> 
> Ideally the notification would be recreated, but falling back to
> polling would be
> an improvement.

Michael, can we reliably know when the watch handles are stale?  If
not, then users of such "restarting" network filesystems will need to
disable auto-revert-use-notify.